WebLogicJMSDestination (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicJMSDestination interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicJMSDestination

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  WebLogicJMSQueue, WebLogicJMSTopic

    public interface WebLogicJMSDestination

extends LogicalElement

Represents a JMS Destination deployed to a WebLogic environment.

Naming Rules:
  0="parent,JNDIName" 1="managedSystemName"
Persistable:
  true
Table Name:
  WLSJMSDT
Display Name:
  JNDIName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getBytesPagingEnabled()`
`java.lang.String` | `getJNDIName()`
`boolean` | `getMessagesPagingEnabled()`
`WebLogicJMSServer` | `getParent()`
`boolean` | `getStoreEnabled()`
`boolean` | `hasBytesPagingEnabled()`
`boolean` | `hasJNDIName()`
`boolean` | `hasMessagesPagingEnabled()`
`boolean` | `hasParent()`
`boolean` | `hasStoreEnabled()`
`void` | `setBytesPagingEnabled(boolean b)`
`void` | `setJNDIName(java.lang.String s)`
`void` | `setMessagesPagingEnabled(boolean b)`
`void` | `setParent(WebLogicJMSServer parent)`
`void` | `setStoreEnabled(boolean b)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebLogicJMSServer getParent()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(WebLogicJMSServer parent)

### hasParent

    boolean hasParent()

### getBytesPagingEnabled

    boolean getBytesPagingEnabled()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBytesPagingEnabled

    void setBytesPagingEnabled(boolean b)

### hasBytesPagingEnabled

    boolean hasBytesPagingEnabled()

### getJNDIName

    java.lang.String getJNDIName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJNDIName

    void setJNDIName(java.lang.String s)

### hasJNDIName

    boolean hasJNDIName()

### getMessagesPagingEnabled

    boolean getMessagesPagingEnabled()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMessagesPagingEnabled

    void setMessagesPagingEnabled(boolean b)

### hasMessagesPagingEnabled

    boolean hasMessagesPagingEnabled()

### getStoreEnabled

    boolean getStoreEnabled()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStoreEnabled

    void setStoreEnabled(boolean b)

### hasStoreEnabled

    boolean hasStoreEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD